How to configure the android API level when using Photon Voice 2 in unity2018

Now our configurations are Minimum API level 19, Target API Level 22. and everything is OK. But when we configure a higher API level, the voice cannot be transferred successfully.Does Photon Voice have special requirements about this??Thank you.

Comments

  • Hi @harlan,

    Does Photon Voice have special requirements about this??
    No.

    Maybe it's a different issue unrelated to the Android API level.
    I would also check Unity's support for target/minium Android API level.
  • Hi @JohnTube

    It is not the problem of Photon voice, thanks for you reply.
  • hey @harlan,

    Thank you for the update.

    Could you share with us more details?
    What was the issue?
    Maybe others can benefit from this.
    Thanks.
  • harlanharlan
    edited December 2019
    Hi @JohnTube

    When updating the android Target API Level from 22 to 26, the relevant configurations including AndroidManifest are all the same, but we cannot get the microphone permission which can be checked from Photon Voice Log.

    Add the following configuration to Manifest file cannot help:

    uses-permission android:name="android.permission.RECORD_AUDIO"

    Using the following codes are OK:
    if (!AndroidPermissionsManager.IsPermissionGranted("android.permission.RECORD_AUDIO")) {
      AndroidPermissionsManager.RequestPermission("android.permission.RECORD_AUDIO")
    }

    BR,
    Harlan.
Sign In or Register to comment.